{
  "schema_version": "1.4.0",
  "id": "GHSA-hg7p-rp3c-x8gr",
  "modified": "2022-05-17T00:51:30Z",
  "published": "2022-05-17T00:51:30Z",
  "aliases": [
    "CVE-2015-3829"
  ],
  "details": "Off-by-one error in the MPEG4Extractor::parseChunk function in MPEG4Extractor.cpp in libstagefright in Android before 5.1.1 LMY48I allows remote attackers to execute arbitrary code or cause a denial of service (integer overflow and memory corruption) via crafted MPEG-4 covr atoms with a size equal to SIZE_MAX, aka internal bug 20923261.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-3829"
    },
    {
      "type": "WEB",
      "url": "https://android.googlesource.com/platform/frameworks/av/+/2674a7218eaa3c87f2ee26d26da5b9170e10f859"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/message/raw?msg=android-security-updates/Ugvu3fi6RQM/yzJvoTVrIQAJ"
    },
    {
      "type": "WEB",
      "url": "http://www.huawei.com/en/psirt/security-advisories/hw-448928"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/76052"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1033094"
    },
    {
      "type": "WEB",
      "url": "http://www1.huawei.com/en/security/psirt/security-bulletins/security-advisories/hw-448928.htm"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-10-01T00:59:00Z"
  }
}